Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2756583002: [Devtools] Added ability to add extension columns to network (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 2 weeks ago by allada
Modified:
1 month, 1 week ago
Reviewers:
caseq
CC:
chromium-reviews, caseq+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, blink-reviews, pfeldman, kozyatinskiy+blink_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Devtools] Added ability to add extension columns to network This patch introduces the ability to add extension columns and it bound the networkGroupingRequests experiment to it (only shown when experiment is on right now). See: http://imgur.com/a/WOUqw R=caseq BUG=701973 Review-Url: https://codereview.chromium.org/2756583002 Cr-Commit-Position: refs/heads/master@{#457910} Committed: https://chromium.googlesource.com/chromium/src/+/222cced63f41cf7214483734f4c0b775f7659a97

Patch Set 1 #

Total comments: 1

Patch Set 2 : [Devtools] Added ability to add extension columns to network #

Total comments: 10

Patch Set 3 : changes #

Total comments: 4

Patch Set 4 : changes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+152 lines, -5 lines) Patch
M third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js View 1 2 5 chunks +37 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/NetworkLogView.js View 1 2 3 5 chunks +16 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js View 1 2 3 6 chunks +70 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network_group_lookup/NetworkProductGroupLookup.js View 1 2 2 chunks +24 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network_group_lookup/module.json View 1 chunk +5 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Depends on Patchset:

Messages

Total messages: 17 (8 generated)
allada
PTL https://codereview.chromium.org/2756583002/diff/1/third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js File third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js (right): https://codereview.chromium.org/2756583002/diff/1/third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js#newcode999 third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js:999: if (this.columnExtensions.has(columnIdentifier)) This is the createCell for group ...
1 month, 2 weeks ago (2017-03-15 21:42:02 UTC) #2
caseq
https://codereview.chromium.org/2756583002/diff/40001/third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js File third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js (right): https://codereview.chromium.org/2756583002/diff/40001/third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js#newcode45 third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js:45: this.columnExtensions = new Map(); Let's make it private, this ...
1 month, 2 weeks ago (2017-03-17 00:16:29 UTC) #4
allada
Done. https://codereview.chromium.org/2756583002/diff/40001/third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js File third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js (right): https://codereview.chromium.org/2756583002/diff/40001/third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js#newcode45 third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js:45: this.columnExtensions = new Map(); On 2017/03/17 00:16:29, caseq ...
1 month, 2 weeks ago (2017-03-17 01:16:09 UTC) #5
caseq
lgtm % comments https://codereview.chromium.org/2756583002/diff/60001/third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js File third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js (right): https://codereview.chromium.org/2756583002/diff/60001/third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js#newcode871 third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js:871: Network.NetworkColumnExtensionInterface.prototype = { requestComparator should be ...
1 month, 1 week ago (2017-03-17 17:53:20 UTC) #6
allada
Done. https://codereview.chromium.org/2756583002/diff/60001/third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js File third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js (right): https://codereview.chromium.org/2756583002/diff/60001/third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js#newcode871 third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js:871: Network.NetworkColumnExtensionInterface.prototype = { On 2017/03/17 17:53:20, caseq wrote: ...
1 month, 1 week ago (2017-03-17 19:02:02 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2756583002/80001
1 month, 1 week ago (2017-03-17 19:02:56 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/386637)
1 month, 1 week ago (2017-03-17 22:19:42 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2756583002/80001
1 month, 1 week ago (2017-03-17 22:46:18 UTC) #14
commit-bot: I haz the power
1 month, 1 week ago (2017-03-18 00:28:22 UTC) #17
Message was sent while issue was closed.
Committed patchset #4 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/222cced63f41cf7214483734f4c0...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46